package com.smppw.modaq.common.exception;

import com.smppw.modaq.common.enums.StatusCode;

/**
 * 不支持的报告格式，要直接跳出方法所以单独定义异常
 */
public class NotSupportReportException extends ReportParseException {
    public NotSupportReportException(StatusCode statusCode) {
        super(statusCode);
    }

    public NotSupportReportException(Integer code, String msg) {
        super(code, msg);
    }

    public NotSupportReportException(StatusCode statusCode, Object... msgs) {
        super(statusCode, msgs);
    }
}
